Could not install addtional packages

One Star

Could not install addtional packages

Every time I opened the software , DQ 6.0 told me to intall addtional packages. I tried 10+ times and could not install the packges
Please help.
Moderator

Re: Could not install addtional packages

Hi wilsonli88,
What's your OS? Is the networking Ok with you? Could you please paste the full error message into forum(screenshot 2 don't display the whole error message)?
Best regards
Sabrina
--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
One Star

Re: Could not install addtional packages

OS:  win7 64bit
Network is OK
Today's error log :
!ENTRY org.eclipse.jdt.launching.macosx 4 0 2015-08-04 09:09:15.966
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.jdt.launching.macosx
  Unresolved requirement: Require-Capability: eclipse.platform; filter:="(osgi.os=macosx)"
    at org.eclipse.osgi.container.Module.start(Module.java:434)
    at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
    at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1561)
    at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
    at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
    at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
    at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
    at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)
!ENTRY org.eclipse.jdt.launching.ui.macosx 4 0 2015-08-04 09:09:15.966
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.jdt.launching.ui.macosx
  Unresolved requirement: Require-Capability: eclipse.platform; filter:="(osgi.os=macosx)"
    at org.eclipse.osgi.container.Module.start(Module.java:434)
    at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
    at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1561)
    at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
    at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
    at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
    at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
    at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)
!ENTRY org.talend.platform.logging 1 0 2015-08-04 09:09:17.339
!MESSAGE 2015-08-04 09:09:17,324 INFO  org.talend.dataprofiler.rcp.Activator  - Starting Talend Profiling platform.

!ENTRY org.eclipse.emf.ecore 2 0 2015-08-04 09:09:33.715
!MESSAGE Both 'org.talend.model' and 'org.talend.model' register a package for 'platform:/resource/org.talend.model/model/TalendFile.xsd'
!ENTRY org.eclipse.core.resources 2 10035 2015-08-04 09:09:33.969
!MESSAGE The workspace exited with unsaved changes in the previous session; refreshing workspace to recover changes.
!ENTRY org.talend.platform.logging 1 0 2015-08-04 09:10:37.427
!MESSAGE 2015-08-04 09:10:37,426 INFO  org.talend.commons.exception.CommonExceptionHandler  - The download URL for jackcess-2.0.8.jar is not available

!ENTRY org.talend.platform.logging 1 0 2015-08-04 09:10:37.481
!MESSAGE 2015-08-04 09:10:37,481 INFO  org.talend.commons.exception.CommonExceptionHandler  - The download URL for h2-1.3.160.jar is not available

!ENTRY org.talend.platform.logging 1 0 2015-08-04 09:10:37.483
!MESSAGE 2015-08-04 09:10:37,482 INFO  org.talend.commons.exception.CommonExceptionHandler  - The download URL for sas.svc.connection.jar is not available

!ENTRY org.talend.platform.logging 1 0 2015-08-04 09:10:37.483
!MESSAGE 2015-08-04 09:10:37,483 INFO  org.talend.commons.exception.CommonExceptionHandler  - The download URL for sas.intrnet.javatools.jar is not available

!ENTRY org.talend.platform.logging 1 0 2015-08-04 09:10:37.484
!MESSAGE 2015-08-04 09:10:37,483 INFO  org.talend.commons.exception.CommonExceptionHandler  - The download URL for mariadb-java-client-1.1.7.jar is not available

!ENTRY org.talend.platform.logging 1 0 2015-08-04 09:10:37.484
!MESSAGE 2015-08-04 09:10:37,484 INFO  org.talend.commons.exception.CommonExceptionHandler  - The download URL for sapdbc.jar is not available
!SESSION 2015-08-04 09:11:50.012 -----------------------------------------------
eclipse.buildId=unknown
java.version=1.7.0_67
java.vendor=Oracle Corporation
BootLoader constants: OS=win32, ARCH=x86_64, WS=win32, NL=zh_CN
Command-line arguments:  -os win32 -ws win32 -arch x86_64
!ENTRY org.eclipse.jdt.launching.macosx 4 0 2015-08-04 09:11:50.954
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.jdt.launching.macosx
  Unresolved requirement: Require-Capability: eclipse.platform; filter:="(osgi.os=macosx)"
    at org.eclipse.osgi.container.Module.start(Module.java:434)
    at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
    at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1561)
    at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
    at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
    at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
    at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
    at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)
!ENTRY org.eclipse.jdt.launching.ui.macosx 4 0 2015-08-04 09:11:50.957
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.jdt.launching.ui.macosx
  Unresolved requirement: Require-Capability: eclipse.platform; filter:="(osgi.os=macosx)"
    at org.eclipse.osgi.container.Module.start(Module.java:434)
    at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
    at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1561)
    at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
    at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
    at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
    at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
    at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)
!ENTRY org.talend.platform.logging 1 0 2015-08-04 09:11:51.722
!MESSAGE 2015-08-04 09:11:51,720 INFO  org.talend.dataprofiler.rcp.Activator  - Starting Talend Profiling platform.

!ENTRY org.eclipse.emf.ecore 2 0 2015-08-04 09:11:54.205
!MESSAGE Both 'org.talend.model' and 'org.talend.model' register a package for 'platform:/resource/org.talend.model/model/TalendFile.xsd'
!ENTRY org.talend.platform.logging 1 0 2015-08-04 09:12:47.840
!MESSAGE 2015-08-04 09:12:47,839 INFO  org.talend.commons.exception.CommonExceptionHandler  - The download URL for jackcess-2.0.8.jar is not available

!ENTRY org.talend.platform.logging 1 0 2015-08-04 09:12:47.893
!MESSAGE 2015-08-04 09:12:47,892 INFO  org.talend.commons.exception.CommonExceptionHandler  - The download URL for h2-1.3.160.jar is not available

!ENTRY org.talend.platform.logging 1 0 2015-08-04 09:12:47.894
!MESSAGE 2015-08-04 09:12:47,894 INFO  org.talend.commons.exception.CommonExceptionHandler  - The download URL for sas.svc.connection.jar is not available

!ENTRY org.talend.platform.logging 1 0 2015-08-04 09:12:47.894
!MESSAGE 2015-08-04 09:12:47,894 INFO  org.talend.commons.exception.CommonExceptionHandler  - The download URL for sas.intrnet.javatools.jar is not available

!ENTRY org.talend.platform.logging 1 0 2015-08-04 09:12:47.895
!MESSAGE 2015-08-04 09:12:47,895 INFO  org.talend.commons.exception.CommonExceptionHandler  - The download URL for mariadb-java-client-1.1.7.jar is not available

!ENTRY org.talend.platform.logging 1 0 2015-08-04 09:12:47.895
!MESSAGE 2015-08-04 09:12:47,895 INFO  org.talend.commons.exception.CommonExceptionHandler  - The download URL for sapdbc.jar is not available
One Star

Re: Could not install addtional packages

I deleted the software and reinstalled, the error message as follows when finishing install addtional packages.
Moderator

Re: Could not install addtional packages

Hi,
First of all, could you please check if TDQ chart and sqlexplorer jar files have been downloaded into C:\Users\"YourCurrentUser" \.m2\repository\org\talend\libraries(4 .jar files for DQ, please see my screenshot)
If so,please follow up the jira issue:
https://jira.talendforge.org/browse/TDQ-10595
to copy jar files into studio/plugins by manual. After that, check if you can use sqlexplorer and Graph in your TDQ studio successfully?

For your issue"Abnormal workbench condition, please re-new a workspace to see if it works?
NOTE:
When you are installing/re-installing a new studio, please close the "Welcome page" firstly and install additional packages then.
https://jira.talendforge.org/browse/TDQ-10687
Feel free to let us know if it is OK with you.
Best regards
Sabrina
--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
One Star

Re: Could not install addtional packages

Thanks your suggestion, I found .jars in the machine.

I reinstall the DQ according to your advice, and found  "abnormal workbench condition"  didn't appear.

And error logs is following:
------------start------
!SESSION 2015-08-06 10:23:07.637 -----------------------------------------------
eclipse.buildId=unknown
java.version=1.7.0_67
java.vendor=Oracle Corporation
BootLoader constants: OS=win32, ARCH=x86_64, WS=win32, NL=zh_CN
Command-line arguments:  -os win32 -ws win32 -arch x86_64
!ENTRY org.eclipse.jdt.launching.macosx 4 0 2015-08-06 10:23:08.537
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.jdt.launching.macosx
  Unresolved requirement: Require-Capability: eclipse.platform; filter:="(osgi.os=macosx)"
    at org.eclipse.osgi.container.Module.start(Module.java:434)
    at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
    at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1561)
    at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
    at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
    at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
    at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
    at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)
!ENTRY org.eclipse.jdt.launching.ui.macosx 4 0 2015-08-06 10:23:08.540
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.jdt.launching.ui.macosx
  Unresolved requirement: Require-Capability: eclipse.platform; filter:="(osgi.os=macosx)"
    at org.eclipse.osgi.container.Module.start(Module.java:434)
    at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
    at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1561)
    at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
    at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
    at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
    at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
    at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)
!ENTRY org.talend.platform.logging 1 0 2015-08-06 10:23:09.294
!MESSAGE 2015-08-06 10:23:09,292 INFO  org.talend.dataprofiler.rcp.Activator  - Starting Talend Profiling platform.

!ENTRY org.eclipse.emf.ecore 2 0 2015-08-06 10:23:11.374
!MESSAGE Both 'org.talend.model' and 'org.talend.model' register a package for 'platform:/resource/org.talend.model/model/TalendFile.xsd'
!ENTRY org.talend.platform.logging 1 0 2015-08-06 10:23:20.896
!MESSAGE 2015-08-06 10:23:20,895 INFO  org.talend.commons.exception.CommonExceptionHandler  - The download URL for jackcess-2.0.8.jar is not available

!ENTRY org.talend.platform.logging 1 0 2015-08-06 10:23:20.900
!MESSAGE 2015-08-06 10:23:20,900 INFO  org.talend.commons.exception.CommonExceptionHandler  - The download URL for h2-1.3.160.jar is not available

!ENTRY org.talend.platform.logging 1 0 2015-08-06 10:23:20.901
!MESSAGE 2015-08-06 10:23:20,901 INFO  org.talend.commons.exception.CommonExceptionHandler  - The download URL for sas.svc.connection.jar is not available

!ENTRY org.talend.platform.logging 1 0 2015-08-06 10:23:20.901
!MESSAGE 2015-08-06 10:23:20,901 INFO  org.talend.commons.exception.CommonExceptionHandler  - The download URL for sas.intrnet.javatools.jar is not available

!ENTRY org.talend.platform.logging 1 0 2015-08-06 10:23:20.902
!MESSAGE 2015-08-06 10:23:20,902 INFO  org.talend.commons.exception.CommonExceptionHandler  - The download URL for mariadb-java-client-1.1.7.jar is not available

!ENTRY org.talend.platform.logging 1 0 2015-08-06 10:23:20.902
!MESSAGE 2015-08-06 10:23:20,902 INFO  org.talend.commons.exception.CommonExceptionHandler  - The download URL for sapdbc.jar is not available
---------------end---------
Please help
Moderator

Re: Could not install addtional packages

Hi,
For this FrameworkEvent ERROR, please take a look at a related jira issue:https://jira.talendforge.org/browse/TUP-2630
Can you start your studio successfully?
Best regards
Sabrina
--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
One Star

Re: Could not install addtional packages

Hi,
I can't browse https://jira.talendforge.org/browse/TUP-2630 , can u ?
I can start studio, but there are no graphs in analysis results without the additional packages .
Please help.
Moderator

Re: Could not install addtional packages

Hi,
https://jira.talendforge.org/browse/TUP-2630
I can start studio, but there are no graphs in analysis results without the additional packages .
Please help.

Have you tried to copy jar files from C:\Users\"YourCurrentUser" \.m2\repository\org\talend\libraries into studio/plugins by manual as I mentioned in post #5?
Best regards
Sabrina
--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
One Star

Re: Could not install addtional packages

I can't find any download urls of two packages in the website u gave me:
"
First of all, could you please check if TDQ chart and sqlexplorer jar files have been downloaded into C:\Users\"YourCurrentUser" \.m2\repository\org\talend\libraries(4 .jar files for DQ, please see my screenshot)
If so,please follow up the jira issue:
 https://jira.talendforge.org/browse/TDQ-10595

"
Please help.